Bug 180647

Summary: www/cherokee: build fails
Product: Ports & Packages Reporter: gb <100019749>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.txt
none
patch1 none

Description gb 2013-07-19 06:00:00 UTC
checking size of sig_atomic_t... configure: error: in `/usr/ports/www/cherokee/work/cherokee-1.2.101':
configure: error: cannot compute sizeof (sig_atomic_t)
See `config.log' for more details
===>  Script "configure" failed unexpectedly.
Please report the problem to c.petrik.sosa@gmail.com [maintainer] and attach
the "/usr/ports/www/cherokee/work/cherokee-1.2.101/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. a
/usr/sbin/pkg_info -Ea).
*** Error code 1

Stop in /usr/ports/www/cherokee.
*** Error code 1

Stop in /usr/ports/www/cherokee.
BSD8# pkg_info -Ea
GeoIP-1.4.8_3
dialog4ports-0.1.5_1
gettext-0.18.3
gmake-3.82_1
libiconv-1.14_1
libtool-2.4.2
pcre-8.33
pkgconf-0.9.2_1
python27-2.7.5_1

Fix: Patch attached with submission follows:
Comment 1 Remko Lodder freebsd_committer 2013-07-19 10:23:06 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-ports-bugs

reassign to ports team
Comment 2 Edwin Groothuis freebsd_committer 2013-07-19 10:37:30 UTC
Maintainer of www/cherokee,

Please note that PR ports/180647 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180647

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-07-19 10:37:31 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Chris Petrik 2013-07-19 20:49:19 UTC
Please supply unified patch so I can test and ok or deny patch.
Comment 5 Chris Petrik 2013-07-20 20:18:29 UTC
http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/e.8.20130713170952.pointyhat/cherokee-1.2.101_4.log

I will check it when I am back home.
Comment 6 olaf 2013-10-30 08:48:58 UTC
Any news about this? I still get this error on 9.2p1.

Cheers
Olaf
Comment 7 Rapenne 2014-01-06 16:04:09 UTC
The port builds if you change GNU_CONFIGURE by HAS_CONFIGURE.
Comment 8 dfilter service freebsd_committer 2014-01-09 19:53:56 UTC
Author: rakuco
Date: Thu Jan  9 19:53:48 2014
New Revision: 339271
URL: http://svnweb.freebsd.org/changeset/ports/339271

Log:
  - Unbreak.
    Remove a useless check for sig_atomic_t that never worked because
    configure.ac calls AC_CHECK_SIZEOF without telling it to include signal.h
    Submitted upstream as https://github.com/cherokee/webserver/pull/1100
  
  - Use the new LIB_DEPENDS syntax.
  
  PR:		ports/180647
  PR:		ports/179726

Added:
  head/www/cherokee/files/patch-configure   (contents, props changed)
Modified:
  head/www/cherokee/Makefile

Modified: head/www/cherokee/Makefile
==============================================================================
--- head/www/cherokee/Makefile	Thu Jan  9 19:12:06 2014	(r339270)
+++ head/www/cherokee/Makefile	Thu Jan  9 19:53:48 2014	(r339271)
@@ -11,8 +11,6 @@ MASTER_SITE_SUBDIR=cherokee/1.2/${PORTVE
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Fast and flexible web server
 
-BROKEN=		Does not configure
-
 USES=		gettext gmake pathfix pkgconfig
 USE_OPENSSL=	yes
 USE_LDCONFIG=	yes
@@ -92,7 +90,7 @@ PLIST_SUB+=	LDAP="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MGEOIP}
-LIB_DEPENDS+=	GeoIP:${PORTSDIR}/net/GeoIP
+LIB_DEPENDS+=	libGeoIP.so:${PORTSDIR}/net/GeoIP
 CONFIGURE_ARGS+=--with-geoip=yes
 PLIST_SUB+=	GEOIP=""
 .else
@@ -101,9 +99,9 @@ PLIST_SUB+=	GEOIP="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MFFMPEG}
-LIB_DEPENDS+=	avformat:${PORTSDIR}/multimedia/ffmpeg \
-		avcodec:${PORTSDIR}/multimedia/ffmpeg \
-		avutil:${PORTSDIR}/multimedia/ffmpeg
+LIB_DEPENDS+=	libavformat.so:${PORTSDIR}/multimedia/ffmpeg \
+		libavcodec.so:${PORTSDIR}/multimedia/ffmpeg \
+		libavutil.so:${PORTSDIR}/multimedia/ffmpeg
 CONFIGURE_ARGS+=--with-ffmpeg=yes
 .else
 CONFIGURE_ARGS+=--with-ffmpeg=no
@@ -119,7 +117,7 @@ PLIST_SUB+=	NLS="@comment "
 .if ${PORT_OPTIONS:MINTPCRE}
 CONFIGURE_ARGS+=--enable-internal-pcre
 .else
-LIB_DEPENDS+=	pcre:${PORTSDIR}/devel/pcre
+LIB_DEPENDS+=	libpcre.so:${PORTSDIR}/devel/pcre
 .endif
 
 .if ${PORT_OPTIONS:MRRDTOOL}

Added: head/www/cherokee/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/cherokee/files/patch-configure	Thu Jan  9 19:53:48 2014	(r339271)
@@ -0,0 +1,42 @@
+--- configure.orig	2014-01-09 21:48:12.000000000 +0200
++++ configure	2014-01-09 21:48:32.000000000 +0200
+@@ -15471,39 +15471,6 @@
+ # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
+ # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
+ # This bug is HP SR number 8606223364.
+-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of sig_atomic_t" >&5
+-$as_echo_n "checking size of sig_atomic_t... " >&6; }
+-if ${ac_cv_sizeof_sig_atomic_t+:} false; then :
+-  $as_echo_n "(cached) " >&6
+-else
+-  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (sig_atomic_t))" "ac_cv_sizeof_sig_atomic_t"        "$ac_includes_default"; then :
+-
+-else
+-  if test "$ac_cv_type_sig_atomic_t" = yes; then
+-     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+-as_fn_error 77 "cannot compute sizeof (sig_atomic_t)
+-See \`config.log' for more details" "$LINENO" 5; }
+-   else
+-     ac_cv_sizeof_sig_atomic_t=0
+-   fi
+-fi
+-
+-fi
+-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_sig_atomic_t" >&5
+-$as_echo "$ac_cv_sizeof_sig_atomic_t" >&6; }
+-
+-
+-
+-cat >>confdefs.h <<_ACEOF
+-#define SIZEOF_SIG_ATOMIC_T $ac_cv_sizeof_sig_atomic_t
+-_ACEOF
+-
+-
+-# The cast to long int works around a bug in the HP C Compiler
+-# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
+-# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
+-# This bug is HP SR number 8606223364.
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking size of time_t" >&5
+ $as_echo_n "checking size of time_t... " >&6; }
+ if ${ac_cv_sizeof_time_t+:} false; then :
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Raphael Kubo da Costa freebsd_committer 2014-01-09 19:55:39 UTC
State Changed
From-To: feedback->closed

Fixed in r339271.